package com.yc.ship.module.trade.framework.common.ota.qunaer;
/**
 * @Title: Request.java
 * @Package: com.wisesoft.scenic.qunar.vo
 * &#064;Description: TODO
 * @author: zhoulonggui
 * @date: 2017年5月26日 下午2:24:51
 * @version: V1.0
 */
public class QunarRequestHeader {
	/*<application>Qunar.Menpiao.Agent</application>
	  <processor>SupplierDataExchangeProcessor</processor>
	  <version>v2.0.0</version>
	  <bodyType>CreateOrderForBeforePaySyncRequestBody</bodyType>
	  <createUser>Qunar.Menpiao.Agent</createUser>
	  <createTime>2017-05-23 11:13:08</createTime>
	  <supplierIdentity>XXXXXXX</supplierIdentity>*/
	private String application;
	private String processor;
	private String version;
	private String bodyType;
	private String createUser;
	private String createTime;
	private String supplierIdentity;
	
	public QunarRequestHeader() {
		super();
	}
	public QunarRequestHeader(String application, String processor,
                              String version, String bodyType, String createUser,
                              String createTime, String supplierIdentity) {
		super();
		this.application = application;
		this.processor = processor;
		this.version = version;
		this.bodyType = bodyType + "RequestBody";
		this.createUser = createUser;
		this.createTime = createTime;
		this.supplierIdentity = supplierIdentity;
	}
	public String getApplication() {
		return application;
	}
	public void setApplication(String application) {
		this.application = application;
	}
	public String getProcessor() {
		return processor;
	}
	public void setProcessor(String processor) {
		this.processor = processor;
	}
	public String getVersion() {
		return version;
	}
	public void setVersion(String version) {
		this.version = version;
	}
	public String getBodyType() {
		return bodyType;
	}
	public void setBodyType(String bodyType) {
		this.bodyType = bodyType;
	}
	public String getCreateUser() {
		return createUser;
	}
	public void setCreateUser(String createUser) {
		this.createUser = createUser;
	}
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	public String getSupplierIdentity() {
		return supplierIdentity;
	}
	public void setSupplierIdentity(String supplierIdentity) {
		this.supplierIdentity = supplierIdentity;
	}
	@Override
	public String toString() {
		return "QunarRequestHeader [application=" + application
				+ ", processor=" + processor + ", version=" + version
				+ ", bodyType=" + bodyType + ", createUser=" + createUser
				+ ", createTime=" + createTime + ", supplierIdentity="
				+ supplierIdentity + "]";
	}
	
}
